#!/bin/csh
#
# Copyright 2005-2010 Intel Corporation.  All Rights Reserved.
#
# The source code contained or described herein and all documents related
# to the source code ("Material") are owned by Intel Corporation or its
# suppliers or licensors.  Title to the Material remains with Intel
# Corporation or its suppliers and licensors.  The Material is protected
# by worldwide copyright laws and treaty provisions.  No part of the
# Material may be used, copied, reproduced, modified, published, uploaded,
# posted, transmitted, distributed, or disclosed in any way without
# Intel's prior express written permission.
#
# No license under any patent, copyright, trade secret or other
# intellectual property right is granted to or conferred upon you by
# disclosure or delivery of the Materials, either expressly, by
# implication, inducement, estoppel or otherwise.  Any license under such
# intellectual property rights must be express and approved by Intel in
# writing.

#
# Copyright 2005-2010 Intel Corporation.  All Rights Reserved.
#
# The source code contained or described herein and all documents related
# to the source code ("Material") are owned by Intel Corporation or its
# suppliers or licensors.  Title to the Material remains with Intel
# Corporation or its suppliers and licensors.  The Material is protected
# by worldwide copyright laws and treaty provisions.  No part of the
# Material may be used, copied, reproduced, modified, published, uploaded,
# posted, transmitted, distributed, or disclosed in any way without
# Intel's prior express written permission.
#
# No license under any patent, copyright, trade secret or other
# intellectual property right is granted to or conferred upon you by
# disclosure or delivery of the Materials, either expressly, by
# implication, inducement, estoppel or otherwise.  Any license under such
# intellectual property rights must be express and approved by Intel in
# writing.

switch ("$1")
  case "ia32":
      if ( -e SUBSTITUTE_INSTALL_DIR_HERE/bin/ia32/tbbvars.csh ) then
         source SUBSTITUTE_INSTALL_DIR_HERE/bin/ia32/tbbvars.csh;
      endif
      breaksw;
  case "intel64":
  case "em64t":
      if ( -e SUBSTITUTE_INSTALL_DIR_HERE/bin/intel64/tbbvars.csh ) then
         source SUBSTITUTE_INSTALL_DIR_HERE/bin/intel64/tbbvars.csh;
      endif
      breaksw;
  case "ia64":
  case "itanium":
      if ( -e SUBSTITUTE_INSTALL_DIR_HERE/bin/ia64/tbbvars.csh ) then
         source SUBSTITUTE_INSTALL_DIR_HERE/bin/ia64/tbbvars.csh;
      endif
      breaksw;
  default:
      echo "ERROR: Unknown switch '$1'. Accepted values: ia32, intel64 or em64t, ia64 or itanium"
      breaksw;
endsw

